MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::ResourceSkin Class Reference

`#include <MyGUI_ResourceSkin.h>`

Inheritance diagram for MyGUI::ResourceSkin:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ResourceSkin | RTTIBase
Public Types inherited from MyGUI::IResource
typedef RTTIBase | Base
typedef IResource | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| ResourceSkin ()
virtual | ~ResourceSkin ()
virtual void | deserialization (xml::ElementPtr _node, Version _version)
const IntSize & | getSize () const
const std::string & | getTextureName () const
const VectorSubWidgetInfo & | getBasisInfo () const
const MapWidgetStateInfo & | getStateInfo () const
const MapString & | getProperties () const
const VectorChildSkinInfo & | getChild () const
const std::string & | getSkinName () const
Public Member Functions inherited from MyGUI::IResource
template<typename Type >
bool | isType () const
const std::string & | getResourceName () const
void | setResourceName (const std::string &_value)
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type >
bool | isType () const
| ISerializable ()
virtual | ~ISerializable ()
virtual void | serialization (xml::ElementPtr _node, Version _version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IResource
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Additional Inherited Members
Protected Member Functions inherited from MyGUI::IResource
| IResource ()
virtual | ~IResource ()
Protected Attributes inherited from MyGUI::IResource
std::string | mResourceName

## Detailed Description

Definition at line 21 of file MyGUI_ResourceSkin.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::ResourceSkin::Base

Definition at line 24 of file MyGUI_ResourceSkin.h.

## ◆ RTTIBase

typedef ResourceSkin MyGUI::ResourceSkin::RTTIBase

Definition at line 24 of file MyGUI_ResourceSkin.h.

## Constructor & Destructor Documentation

## ◆ ResourceSkin()

MyGUI::ResourceSkin::ResourceSkin | ( |  | ) |

Definition at line 16 of file MyGUI_ResourceSkin.cpp.

## ◆ ~ResourceSkin()

MyGUI::ResourceSkin::~ResourceSkin | ( |  | ) |
| virtual

Definition at line 20 of file MyGUI_ResourceSkin.cpp.

## Member Function Documentation

## ◆ deserialization()

void MyGUI::ResourceSkin::deserialization | ( | xml::ElementPtr | _node,
|  | Version | _version
| ) |  |
| virtual

Reimplemented from MyGUI::IResource.

Definition at line 30 of file MyGUI_ResourceSkin.cpp.

## ◆ getBasisInfo()

const VectorSubWidgetInfo & MyGUI::ResourceSkin::getBasisInfo | ( |  | ) | const

Definition at line 275 of file MyGUI_ResourceSkin.cpp.

## ◆ getChild()

const VectorChildSkinInfo & MyGUI::ResourceSkin::getChild | ( |  | ) | const

Definition at line 290 of file MyGUI_ResourceSkin.cpp.

## ◆ getClassTypeName()

static const std::string& MyGUI::ResourceSkin::getClassTypeName | ( |  | ) |
| inline static

Definition at line 24 of file MyGUI_ResourceSkin.h.

## ◆ getProperties()

const MapString & MyGUI::ResourceSkin::getProperties | ( |  | ) | const

Definition at line 285 of file MyGUI_ResourceSkin.cpp.

## ◆ getSize()

const IntSize & MyGUI::ResourceSkin::getSize | ( |  | ) | const

Definition at line 265 of file MyGUI_ResourceSkin.cpp.

## ◆ getSkinName()

const std::string & MyGUI::ResourceSkin::getSkinName | ( |  | ) | const

Definition at line 295 of file MyGUI_ResourceSkin.cpp.

## ◆ getStateInfo()

const MapWidgetStateInfo & MyGUI::ResourceSkin::getStateInfo | ( |  | ) | const

Definition at line 280 of file MyGUI_ResourceSkin.cpp.

## ◆ getTextureName()

const std::string & MyGUI::ResourceSkin::getTextureName | ( |  | ) | const

Definition at line 270 of file MyGUI_ResourceSkin.cpp.

## ◆ getTypeName()

virtual const std::string& MyGUI::ResourceSkin::getTypeName | ( |  | ) | const
| inline virtual

Get type name as string

Reimplemented from MyGUI::IResource.

Definition at line 24 of file MyGUI_ResourceSkin.h.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::ResourceSkin::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 24 of file MyGUI_ResourceSkin.h.

## ◆ isType() [2/2]

virtual bool MyGUI::ResourceSkin::isType | ( | const std::type_info & | _type | ) | const
| inline virtual

Compare with selected type

Reimplemented from MyGUI::IResource.

Definition at line 24 of file MyGUI_ResourceSkin.h.

The documentation for this class was generated from the following files:

- MyGUI_ResourceSkin.h
- MyGUI_ResourceSkin.cpp